ruby-unf_0.1.4-2_all.deb


Advertisement

Description

ruby-unf - Wrapper library to bring Unicode Normalization Form support to Ruby

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-unf_0.1.4-2_all.deb
Package name ruby-unf
Package version 0.1.4
Package release 2
Package architecture all
Package type deb
Category ruby
Homepage http://github.com/knu/ruby-unf
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 4.81 KB
Installed size 25.00 KB
This library allows code to be portable between Ruby implementations,
using 'unf_ext' under CRuby and 'java.text.Normalizer' on JRuby. It
normalizes UTF-8 strings into and from NFC, NFD, NFKC or NFKD

Alternatives

Package Version Architecture Repository
ruby-unf_0.1.4-2_all.deb 0.1.4 all Debian Main
ruby-unf - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-unf-ext >= 0.0.7.2~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-unf_0.1.4-2_all.deb
Source Package ruby-unf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-unf deb package:
    # sudo apt-get install ruby-unf

Files

Path
/usr/lib/ruby/vendor_ruby/unf.rb
/usr/lib/ruby/vendor_ruby/unf/normalizer.rb
/usr/lib/ruby/vendor_ruby/unf/normalizer_cruby.rb
/usr/lib/ruby/vendor_ruby/unf/normalizer_jruby.rb
/usr/lib/ruby/vendor_ruby/unf/version.rb
/usr/share/doc/ruby-unf/README.md
/usr/share/doc/ruby-unf/changelog.Debian.gz
/usr/share/doc/ruby-unf/changelog.gz
/usr/share/doc/ruby-unf/copyright
/usr/share/rubygems-integration/all/specifications/unf-0.1.4.gemspec

Changelog

2016-07-19 - Pirate Praveen <praveen@debian.org>
ruby-unf (0.1.4-2) unstable; urgency=medium
* Tighten dependency on ruby-unf-ext (for gitlab) 
2015-09-28 - Pirate Praveen <praveen@debian.org>
ruby-unf (0.1.4-1) unstable; urgency=medium
* New upstream release.
2015-04-28 - Pirate Praveen <praveen@debian.org>
ruby-unf (0.1.0-2) unstable; urgency=medium
* Team upload.
* Re-upload to unstable. 
2014-11-21 - Pirate Praveen <praveen@debian.org>
ruby-unf (0.1.0-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Bump standards version to 3.9.6 (no changes).
2012-03-08 - Gunnar Wolf <gwolf@debian.org>
ruby-unf (0.0.5-1) unstable; urgency=low
* New upstream release
* Standards-version 3.9.2→3.9.3 (no changes needed)
2012-01-17 - Gunnar Wolf <gwolf@debian.org>
ruby-unf (0.0.4-1) unstable; urgency=low
* Initial release (Closes: #656284)

See Also

Package Description
ruby-unicode-display-width_1.1.3-1_all.deb Determines the monospace display width of a string in Ruby
ruby-unicode_0.4.4-2+b9_amd64.deb Unicode string manipulation library for Ruby
ruby-unicorn-worker-killer_0.4.4-1_all.deb library to kill unicorn workers by memory and request counts
ruby-unindent_1.0-3_all.deb Ruby method to unindent strings
ruby-upr_0.3.0-2_all.deb Upload Progress for Rack
ruby-url-safe-base64_0.2.2-1_all.deb converteri for strings that contains only url-safe characters
ruby-useragent_0.16.8-1_all.deb HTTP User Agent parser
ruby-uuid_2.3.9-1_all.deb UUID generator for Ruby
ruby-uuidtools-doc_2.1.5-2_all.deb UUIDs generation library for Ruby - documentation
ruby-uuidtools_2.1.5-2_all.deb UUIDs generation library for Ruby
ruby-vagrant-cloud_2.0.2-1_all.deb Vagrant Cloud API Library
ruby-valid_1.0.0-2_all.deb standalone, generic object validator for ruby
ruby-validatable_1.6.7-10_all.deb Ruby library for adding validations
ruby-validate-email_0.1.6-2_all.deb Library for validating email addresses in Rails 3 models
ruby-validate-url_1.0.2+git-2_all.deb Library for validating urls in Rails
Advertisement
Advertisement